(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	//text input preview
	$(document).on('propertychange change click keyup input paste', '.vpc-text-input', function () {
	    var related_view = 'vpc-preview-wrap';
	    var preview_id = $('.vpc-text-input').attr('id') + "-preview";
//	console.log(preview_id);
	    var preview_font_family = $('#vpc-initials-font').val();
	    if (!$("#" + preview_id).length) {
		$("#" + related_view).append('<span id="' + preview_id + '" class="vpc-txt-preview"></span>');
		$("<style>").text("#" + preview_id + " { " + $('#vpc-initials-position option:selected').data('preview-css') + " } ").appendTo($("#" + related_view));//.parent());
	    }
		$("#" + preview_id).html($(this).val());
//		$("#" + preview_id).css('color', preview_color);
		$("#" + preview_id).css('font-family', preview_font_family);



	});
})( jQuery );
