<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<link rel='stylesheet' href='<?php bloginfo('template_directory'); ?>/css/normalize.css'>
<link rel='stylesheet' href='<?php bloginfo('template_directory'); ?>/css/animate.css'>
<link rel='stylesheet' href='<?php bloginfo('template_directory'); ?>/css/scss/automated-style.css'>
<link rel="stylesheet" type="text/css"  href="<?php echo get_stylesheet_uri(); ?>" />
<link href='https://fonts.googleapis.com/css?family=Josefin+Slab:400,300,600,700' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Raleway:400,300,500' rel='stylesheet' type='text/css'>

<!--load amimate.css from CDN-->
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/animate.css"> 
 
<!--load WOW js from CDN-->
<script src="<?php bloginfo('template_directory'); ?>/scripts/js/wow.min.js"></script>

<script> new WOW().init(); </script>

<!--[if lt IE 9]>
<script>
 document.createElement('header');
 document.createElement('nav');
 document.createElement('section');
 document.createElement('article');
 document.createElement('aside');
 document.createElement('footer');
</script>
 <![endif]-->
<script src='<?php bloginfo('template_directory'); ?>/scripts/js/vendor/jquery-1.11.2.min.js'></script>
<script src='<?php bloginfo('template_directory'); ?>/scripts/js/vendor/modernizr.min.js'></script>
 
 		 
 <!--[if lt IE 9 ]>
 <script src="js/ie.min.js"></script>
 <![endif]-->

<meta charset="<?php bloginfo('charset'); ?>" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta name="description" content="Description" />
<meta name="author" content="Author" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

<link rel="alternate" type="application/rss+xml" href="#" title="Feed" />
<link rel="canonical" href="#" />	
<link rel="author" href="#" title="Author" />
<link rel="search" href="#" title="Search" />

<meta property="og:title" content="Title" />
<meta property="og:type" content="website" />
<meta property="og:url" content="#" />
<meta property="og:image" content="#" />
<meta property="og:description" content="Description" />
<meta property="og:latitude" content="47.00000" />
<meta property="og:longitude" content="7.00000" />
<meta property="og:street-address" content="Address" />
<meta property="og:phone_number" content="Phone Number" />
<meta property="og:locality" content="Locality" />
<meta property="og:region" content="Region" />
<meta property="og:postal-code" content="Postal Code" />
<meta property="og:country-name" content="Country" />

<meta name="twitter:card" content="summary">
<meta name="twitter:site" content="@username">
<meta name="twitter:creator" content="@username">
<meta name="twitter:url" content="#">
<meta name="twitter:title" content="Title">
<meta name="twitter:description" content="Description">
<meta name="twitter:image" content="#">

<meta name="robots" content="index,follow"/>

<link rel="logo" type="image/svg" href="<?php bloginfo('template_directory'); ?>/img/favicons/logo.svg"/>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/img/favicons/favicon.ico" />
<link rel="apple-touch-icon" href="<?php bloginfo('template_directory'); ?>/img/favicons/apple-touch-icon-57x57.png" />
<link rel="apple-touch-icon" sizes="72x72" href="<?php bloginfo('template_directory'); ?>/img/favicons/apple-touch-icon-72x72.png" />
<link rel="apple-touch-icon" sizes="114x114" href="<?php bloginfo('template_directory'); ?>/img/favicons/apple-touch-icon-114x114.png" />
<link rel="apple-touch-icon" sizes="144x144" href="<?php bloginfo('template_directory'); ?>/img/favicons/apple-touch-icon-144x144.png" />


	<script src='<?php bloginfo('template_directory'); ?>/scripts/js/main.js'></script>

<title><?php wp_title(' | ', true, 'right'); ?></title>

<?php wp_head(); ?>
</head>
<body <?php body_class (); ?>>

	<header>
		<div class="topHeader col col-12">
			<div class="currencyIcons col col-3">
				<ul>
					<li>GBP</li>
					<li>EUR</li>
					<li>USD</li>
				</ul>
			</div>
			<div class="col col-6">
				&nbsp;
			</div>
			<div class="basketArea col col-3">
				<ul>
					<li>Basket</li>
					<li>0 Items</li>
					<li>£0.00</li>
				</ul>
			</div>
		</div>
		<div class="row clear"></div>
		<div class="mainLogo">
			<img src="<?php bloginfo('template_directory'); ?>/img/logo.jpg">
		</div>
		<nav>
	
			<?php wp_nav_menu( array( 'theme_location' => 'main-menu' ) ); ?>
		</nav>
	</header>




